#
# spec file for package smemstat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smemstat
Version:        0.01.18
Release:        lp150.1.5
Summary:        Memory usage monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/smemstat/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Smemstat reports the physical memory usage taking into consideration shared
memory. The tool can either report a current snapshot of memory usage or
periodically dump out any changes in memory. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/smemstat
%{_mandir}/man8/smemstat.8%{ext_man}

%changelog
* Fri Jan  5 2018 mardnh@gmx.de
- update to version 0.01.18
  * Makefile: bump version
  * debian/rules: remove whitespace at end of line
  * Bump copyright year to 2018
  * debian/control: update Standards-Version to 4.1.2
  * Remove packed attribute from various structs
  * snapcraft: add default app and stable keys
  * snapcraft: Makefile: remove icon hack
* Wed May 10 2017 mardnh@gmx.de
- update to version 0.01.17
  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Makefile: add snapcraft to make dist rule
  * Add variable pid size handling.
  * Update copyright year
  * Add system-observe plug to snapcraft rules
- update to version 0.01.16
  * Makefile: bump version
  * Add some more trivial comments
  * Remove unnecessary static NULL assignments
  * Add gnu printf attributes
  * Clean up code
  * Remove need for linebreak display function
  * Debain/control: add libncurses5-dev
  * Update manual
  * Add ncurses -t and -T top modes
  * Makefile: add PEDANTIC flags
- update to version 0.01.15
  * Makefile: bump version
  * Debian/control: update Build-Depends for debhelper
  * Debian/compat: update to 9
  * Debian/control: update Standards-Version to 3.9.8
  * Update and correct copyright years
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
